Name: gruler
Version: 0.6
Release: alt1

Summary: gRuler is a Gnome Screen Ruler
License: GPL
Group: Graphics
Url: http://linuxadvocate.org/projects/gruler

Source: %url/downloads/%name-%version.tar.gz

%define gtk_ver 2.5.3

Requires: libgtk2 >= %gtk_ver
BuildPreReq: libgtk2-devel >= %gtk_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Tue Dec 28 2004
#BuildRequires: ORBit2-devel esound fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig xorg-x11-devel xorg-x11-libs
BuildRequires: XFree86-devel XFree86-libs ORBit2-devel esound fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig

%description
A customizable screen ruler for Gnome.

%prep
%setup -q
%__subst 's,\(^gnomemenudir = \).*$,\1$(datadir)/applications,' Makefile*

%build
export LDFLAGS=-export-dynamic
%configure
%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/%group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove none-packaged files
%__rm -rf %buildroot%_prefix/{include,doc}

%find_lang --with-gnome %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%_menudir/*
%doc AUTHORS ChangeLog NEWS README TODO

%changelog
* Tue Dec 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt1
- First build for Sisyphus.


